JULIUS-GENERATE(1)

NAME
julius-generate - random sentence generator for Julius

SYNOPSIS
julius-generate [options] <prefix>

DESCRIPTION
julius-generate randomly generates sentences which are acceptable by the given grammar. It can be used to check coverage of a grammar in a human basis, by looking up if it may generate non-acceptable sentences.

USAGE
Run julius-generate from the same directory where you have the .dfa and the .dict file from where you want it to read the grammar, and pass it their prefix. If you don't have those files, you can generate them with mkdfa.

OPTIONS

-n <amount>
    Changes the amount of sentences which will be generated (the default is 10).

-t  Outputs terminal (category) names instead of words. This needs a .term file, in addition to the .dfa and the .dict files.

-v  Verbose mode. If you use this, only one sentence will be generated, but julius-generate will print the different choices it had for each word.

-s <string>
    Changes the used short-pause model to the indicated one.

EXAMPLES

julius-generate -n 1 foo
    This reads files "foo.dfa" and "foo.dict" and prints one random sentence which would be acceptable according to them.

SEE ALSO
mkdfa

AUTHORS
julius-generate was written by the Julius team <julius-info@lists.sourceforge.jp>, and this manual page by Siegfried-A. Gevatter <rainct@ubuntu.com>.

COPYRIGHT
Same as Julius.